---
release_number: "9.3"
title: "GitLab 9.3 released with Code Quality and Multi-Project Pipeline Graphs"
author: Fabio Busatto
author_gitlab: bikebilly
image_title: '/images/9_3/9_3-cover-image.jpg'
description: "GitLab 9.3 Released with Code Quality, Multi-Project Pipeline Graphs, Conversational Development Index, Improved Internationalization, Snippet Descriptions, and much more!"
twitter_image: '/images/tweets/gitlab-9-3-released.png'
categories: release
layout: release
---

GitLab is an integrated product for the entire software development lifecycle.
With each monthly release, we work to bring more aspects of social coding,
continuous integration, release automation, and monitoring into a single tool.
With GitLab 9.3, we're helping teams improve code quality, reduce cycle time and
make complex projects easier to manage.

<!-- more -->

GitLab 9.3 introduces [Code Quality](#gitlab-code-quality) reports displayed directly in the Merge Request widget!
Code Quality gives you immediate insight into how a change will affect the health of your code and project.
This will reduce your review time and allow you to catch mistakes before merging a change.

Modern production-level software is often composed of many different projects,
especially those adopting micro-services architecture.
Therefore, understanding the relationships between these projects is crucial.
With GitLab 9.3, you can see how upstream and downstream project pipelines are linked together
with [Multi-Project Pipelines Graphs](#multi-project-pipeline-graphs).

In addition, this release gives you an extremely powerful way to compare your usage of
each facet of GitLab with other people, using the [Conversational Development Index](#conversational-development-index).
The ConvDev Index gives you a quick overview of how you perform in going from Idea to Production and
where you have the opportunity to optimise.

To give you a quick idea of the power of GitLab, we've recorded a short demo that highlights
some of GitLab's new features.
Enjoy the ability to have your entire development workflow in one single platform!

<figure class="video_container">
  <iframe src="https://www.youtube.com/embed/IZ3ABxXMXMs" frameborder="0" allowfullscreen="true"> </iframe>
</figure>
